/*
 JWConf Signal
 Increase signal visibility of telco attendees asking to give a comment
 2018.04.29
 (c) 2018 - Simon Lorenz - werbung@lorenzweb.net
 
 https://github.com/...
 
*/

function injectJsCode(link) {
	var scr = document.createElement("script");
	scr.type="text/javascript";
	scr.src=link;
	(document.head || document.body || document.documentElement).appendChild(scr);
}

function pageLoaded() {
	var colorPickerElement = document.getElementById("signalColorPickerDiv");
	if (typeof(colorPickerElement) !== "undefined" && colorPickerElement !== null) {
		injectJsCode(chrome.extension.getURL("/jscolor.js"));
	} else {
		setTimeout(function () {
			pageLoaded();
		}, 1000);
	}
}

document.onload = pageLoaded();
